using System.ComponentModel;

namespace APT.BaseData.Domain.Enums
{
    /// <summary>
    /// 设备类型
    /// </summary>
    public enum PFDataTypeEnum
    {
        [Description("字符")]
        字符 = 1,

        [Description("数值")]
        数值 = 2,

        [Description("枚举")]
        枚举 = 3,

        [Description("布尔")]
        布尔 = 4,

        [Description("日期区间")]
        日期区间 = 5,

        [Description("下拉多选")]
        下拉多选 = 6,

        [Description("扫描")]
        扫描 = 7,

        [Description("级联选择")]
        级联选择 = 8,

        [Description("月份")]
        月份 = 9,

        [Description("月份区间")]
        月份区间 = 10,

        [Description("分页下拉")]
        分页下拉 = 11,

        [Description("年份")]
        年份 = 12,

        [Description("年份区间")]
        年份区间 = 13,

        [Description("树选择")]
        树选择 = 14,

        [Description("年月日时分秒区间")]
        年月日时分秒 = 15,

        [Description("年月日时分区间")]
        年月日时分 = 16,

        [Description("日期")]
        日期 = 17,

        [Description("时间自定义格式")]
        时间自定义格式 = 108 //同步信息  PFControlTypeEnum
    }
}
